Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Class DHTMLConstant

    java.lang.Object
      jet.web.dhtml.DHTMLConstant

    public class DHTMLConstant

extends java.lang.Object

Field Summary
`static java.lang.String` | `COMP_DSOTREE`
`static java.lang.String` | `COMP_LINKPANEL`
`static java.lang.String` | `COMP_MAINMENU`
`static java.lang.String` | `COMP_REPORTPANEL`
`static java.lang.String` | `COMP_RPTSETBAR`
`static java.lang.String` | `COMP_TOCTREE`
`static java.lang.String` | `COMP_TOOLBAR`
`static java.lang.String` | `COMP_TOOLBOX`
`static java.lang.String` | `COMP_USERINFOBAR`
`static java.lang.String` | `FEATURE_CHARTTYPE`
`static java.lang.String` | `FEATURE_CHECKRSC`
`static java.lang.String` | `FEATURE_DRILL`
`static java.lang.String` | `FEATURE_DSOTREE`
`static java.lang.String` | `FEATURE_EDITREPORT`
`static java.lang.String` | `FEATURE_EXPORTTO`
`static java.lang.String` | `FEATURE_FILTER`
`static java.lang.String` | `FEATURE_FILTER_CRITERA`
`static java.lang.String` | `FEATURE_GOTO`
`static java.lang.String` | `FEATURE_GROUP`
`static java.lang.String` | `FEATURE_HELP`
`static java.lang.String` | `FEATURE_MENU`
`static java.lang.String` | `FEATURE_MERGE`
`static java.lang.String` | `FEATURE_NAVIGATION`
`static java.lang.String` | `FEATURE_NEW`
`static java.lang.String` | `FEATURE_OPEN`
`static java.lang.String` | `FEATURE_PAGESETUP`
`static java.lang.String` | `FEATURE_POPUPMENU`
`static java.lang.String` | `FEATURE_PREVIEW`
`static java.lang.String` | `FEATURE_PRINT`
`static java.lang.String` | `FEATURE_REFRESH`
`static java.lang.String` | `FEATURE_RESET`
`static java.lang.String` | `FEATURE_ROTATECROSSTAB`
`static java.lang.String` | `FEATURE_RPTSETBAR`
`static java.lang.String` | `FEATURE_SAVE`
`static java.lang.String` | `FEATURE_SAVEAS`
`static java.lang.String` | `FEATURE_SAVERESULT`
`static java.lang.String` | `FEATURE_SEARCH`
`static java.lang.String` | `FEATURE_SKIN`
`static java.lang.String` | `FEATURE_SORT`
`static java.lang.String` | `FEATURE_SORT_CRITERA`
`static java.lang.String` | `FEATURE_SPLIT`
`static java.lang.String` | `FEATURE_STYLE`
`static java.lang.String` | `FEATURE_TOC_SHOWGROUPBYNAME`
`static java.lang.String` | `FEATURE_TOCHART`
`static java.lang.String` | `FEATURE_TOCROSSTAB`
`static java.lang.String` | `FEATURE_TOCTREE`
`static java.lang.String` | `FEATURE_TOOLBAR`
`static java.lang.String` | `FEATURE_TOOLBOX`
`static java.lang.String` | `FEATURE_UNDOREDO`
`static java.lang.String` | `FEATURE_USERINFOBAR`
`static java.lang.String` | `FEATURE_ZOOM`
`static java.lang.String` | `RPT_NAME`
`static java.lang.String` | `RPTSET_ID`
`static java.lang.String` | `SESSION_ID`
`static int` | `SORT_ASCENDING`
`static int` | `SORT_DESCENDING`
`static int` | `SORT_NOTSORTED`
`static int` | `TOOLBAR_BC_FILTER`
`static int` | `TOOLBAR_CHARTTYPE`
`static int` | `TOOLBAR_DSOTREE`
`static int` | `TOOLBAR_END`
`static int` | `TOOLBAR_EXPORTTOHTML`
`static int` | `TOOLBAR_EXPORTTOPDF`
`static int` | `TOOLBAR_EXPORTTOPS`
`static int` | `TOOLBAR_EXPORTTORTF`
`static int` | `TOOLBAR_EXPORTTOTEXT`
`static int` | `TOOLBAR_EXPORTTOXLS`
`static int` | `TOOLBAR_EXPORTTOXML`
`static int` | `TOOLBAR_FILTER`
`static int` | `TOOLBAR_GROUP`
`static int` | `TOOLBAR_HELP`
`static int` | `TOOLBAR_LINE`
`static int` | `TOOLBAR_MERGE`
`static int` | `TOOLBAR_NAVFIRST`
`static int` | `TOOLBAR_NAVNEXT`
`static int` | `TOOLBAR_NAVPREVIOUS`
`static int` | `TOOLBAR_NEW`
`static int` | `TOOLBAR_OPEN`
`static int` | `TOOLBAR_PAGE`
`static int` | `TOOLBAR_PAGESETUP`
`static int` | `TOOLBAR_PREVIEW`
`static int` | `TOOLBAR_PRINT`
`static int` | `TOOLBAR_RECORD_NUMBER`
`static int` | `TOOLBAR_REDO`
`static int` | `TOOLBAR_REFRESH`
`static int` | `TOOLBAR_RESET`
`static int` | `TOOLBAR_ROTATECROSSTAB`
`static int` | `TOOLBAR_ROTATETABLE`
`static int` | `TOOLBAR_SAVE`
`static int` | `TOOLBAR_SAVEAS`
`static int` | `TOOLBAR_SAVERESULT`
`static int` | `TOOLBAR_SEARCH`
`static int` | `TOOLBAR_SORT`
`static int` | `TOOLBAR_SPLIT`
`static int` | `TOOLBAR_STYLE`
`static int` | `TOOLBAR_TOCHART`
`static int` | `TOOLBAR_TOCROSSTAB`
`static int` | `TOOLBAR_TOCTREE`
`static int` | `TOOLBAR_TOOLBOX`
`static int` | `TOOLBAR_UNDO`
`static int` | `TOOLBAR_USERINFOBAR`
`static int` | `TOOLBAR_ZOOM`
`static java.lang.String` | `TRANSLATE`

Constructor Summary
`DHTMLConstant()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION_ID

    public static final java.lang.String SESSION_ID

See Also:
  Constant Field Values

### RPTSET_ID

    public static final java.lang.String RPTSET_ID

See Also:
  Constant Field Values

### RPT_NAME

    public static final java.lang.String RPT_NAME

See Also:
  Constant Field Values

### TRANSLATE

    public static final java.lang.String TRANSLATE

See Also:
  Constant Field Values

### TOOLBAR_LINE

    public static final int TOOLBAR_LINE

See Also:
  Constant Field Values

### TOOLBAR_ZOOM

    public static final int TOOLBAR_ZOOM

See Also:
  Constant Field Values

### TOOLBAR_NAVFIRST

    public static final int TOOLBAR_NAVFIRST

See Also:
  Constant Field Values

### TOOLBAR_NAVPREVIOUS

    public static final int TOOLBAR_NAVPREVIOUS

See Also:
  Constant Field Values

### TOOLBAR_NAVNEXT

    public static final int TOOLBAR_NAVNEXT

See Also:
  Constant Field Values

### TOOLBAR_END

    public static final int TOOLBAR_END

See Also:
  Constant Field Values

### TOOLBAR_PAGE

    public static final int TOOLBAR_PAGE

See Also:
  Constant Field Values

### TOOLBAR_UNDO

    public static final int TOOLBAR_UNDO

See Also:
  Constant Field Values

### TOOLBAR_REDO

    public static final int TOOLBAR_REDO

See Also:
  Constant Field Values

### TOOLBAR_SEARCH

    public static final int TOOLBAR_SEARCH

See Also:
  Constant Field Values

### TOOLBAR_REFRESH

    public static final int TOOLBAR_REFRESH

See Also:
  Constant Field Values

### TOOLBAR_RESET

    public static final int TOOLBAR_RESET

See Also:
  Constant Field Values

### TOOLBAR_TOOLBOX

    public static final int TOOLBAR_TOOLBOX

See Also:
  Constant Field Values

### TOOLBAR_TOCTREE

    public static final int TOOLBAR_TOCTREE

See Also:
  Constant Field Values

### TOOLBAR_DSOTREE

    public static final int TOOLBAR_DSOTREE

See Also:
  Constant Field Values

### TOOLBAR_USERINFOBAR

    public static final int TOOLBAR_USERINFOBAR

See Also:
  Constant Field Values

### TOOLBAR_HELP

    public static final int TOOLBAR_HELP

See Also:
  Constant Field Values

### TOOLBAR_NEW

    public static final int TOOLBAR_NEW

See Also:
  Constant Field Values

### TOOLBAR_OPEN

    public static final int TOOLBAR_OPEN

See Also:
  Constant Field Values

### TOOLBAR_SAVE

    public static final int TOOLBAR_SAVE

See Also:
  Constant Field Values

### TOOLBAR_SAVEAS

    public static final int TOOLBAR_SAVEAS

See Also:
  Constant Field Values

### TOOLBAR_SAVERESULT

    public static final int TOOLBAR_SAVERESULT

See Also:
  Constant Field Values

### TOOLBAR_PAGESETUP

    public static final int TOOLBAR_PAGESETUP

See Also:
  Constant Field Values

### TOOLBAR_PRINT

    public static final int TOOLBAR_PRINT

See Also:
  Constant Field Values

### TOOLBAR_STYLE

    public static final int TOOLBAR_STYLE

See Also:
  Constant Field Values

### TOOLBAR_GROUP

    public static final int TOOLBAR_GROUP

See Also:
  Constant Field Values

### TOOLBAR_SORT

    public static final int TOOLBAR_SORT

See Also:
  Constant Field Values

### TOOLBAR_FILTER

    public static final int TOOLBAR_FILTER

See Also:
  Constant Field Values

### TOOLBAR_TOCHART

    public static final int TOOLBAR_TOCHART

See Also:
  Constant Field Values

### TOOLBAR_TOCROSSTAB

    public static final int TOOLBAR_TOCROSSTAB

See Also:
  Constant Field Values

### TOOLBAR_ROTATECROSSTAB

    public static final int TOOLBAR_ROTATECROSSTAB

See Also:
  Constant Field Values

### TOOLBAR_CHARTTYPE

    public static final int TOOLBAR_CHARTTYPE

See Also:
  Constant Field Values

### TOOLBAR_SPLIT

    public static final int TOOLBAR_SPLIT

See Also:
  Constant Field Values

### TOOLBAR_MERGE

    public static final int TOOLBAR_MERGE

See Also:
  Constant Field Values

### TOOLBAR_PREVIEW

    public static final int TOOLBAR_PREVIEW

See Also:
  Constant Field Values

### TOOLBAR_RECORD_NUMBER

    public static final int TOOLBAR_RECORD_NUMBER

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOHTML

    public static final int TOOLBAR_EXPORTTOHTML

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOPDF

    public static final int TOOLBAR_EXPORTTOPDF

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOXML

    public static final int TOOLBAR_EXPORTTOXML

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTORTF

    public static final int TOOLBAR_EXPORTTORTF

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOXLS

    public static final int TOOLBAR_EXPORTTOXLS

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOTEXT

    public static final int TOOLBAR_EXPORTTOTEXT

See Also:
  Constant Field Values

### TOOLBAR_EXPORTTOPS

    public static final int TOOLBAR_EXPORTTOPS

See Also:
  Constant Field Values

### TOOLBAR_ROTATETABLE

    public static final int TOOLBAR_ROTATETABLE

See Also:
  Constant Field Values

### TOOLBAR_BC_FILTER

    public static final int TOOLBAR_BC_FILTER

See Also:
  Constant Field Values

### SORT_ASCENDING

    public static final int SORT_ASCENDING

See Also:
  Constant Field Values

### SORT_DESCENDING

    public static final int SORT_DESCENDING

See Also:
  Constant Field Values

### SORT_NOTSORTED

    public static final int SORT_NOTSORTED

See Also:
  Constant Field Values

### FEATURE_USERINFOBAR

    public static final java.lang.String FEATURE_USERINFOBAR

See Also:
  Constant Field Values

### FEATURE_DRILL

    public static final java.lang.String FEATURE_DRILL

See Also:
  Constant Field Values

### FEATURE_DSOTREE

    public static final java.lang.String FEATURE_DSOTREE

See Also:
  Constant Field Values

### FEATURE_EDITREPORT

    public static final java.lang.String FEATURE_EDITREPORT

See Also:
  Constant Field Values

### FEATURE_EXPORTTO

    public static final java.lang.String FEATURE_EXPORTTO

See Also:
  Constant Field Values

### FEATURE_FILTER

    public static final java.lang.String FEATURE_FILTER

See Also:
  Constant Field Values

### FEATURE_MENU

    public static final java.lang.String FEATURE_MENU

See Also:
  Constant Field Values

### FEATURE_NAVIGATION

    public static final java.lang.String FEATURE_NAVIGATION

See Also:
  Constant Field Values

### FEATURE_NEW

    public static final java.lang.String FEATURE_NEW

See Also:
  Constant Field Values

### FEATURE_POPUPMENU

    public static final java.lang.String FEATURE_POPUPMENU

See Also:
  Constant Field Values

### FEATURE_PRINT

    public static final java.lang.String FEATURE_PRINT

See Also:
  Constant Field Values

### FEATURE_REFRESH

    public static final java.lang.String FEATURE_REFRESH

See Also:
  Constant Field Values

### FEATURE_RESET

    public static final java.lang.String FEATURE_RESET

See Also:
  Constant Field Values

### FEATURE_RPTSETBAR

    public static final java.lang.String FEATURE_RPTSETBAR

See Also:
  Constant Field Values

### FEATURE_SAVE

    public static final java.lang.String FEATURE_SAVE

See Also:
  Constant Field Values

### FEATURE_SAVERESULT

    public static final java.lang.String FEATURE_SAVERESULT

See Also:
  Constant Field Values

### FEATURE_SEARCH

    public static final java.lang.String FEATURE_SEARCH

See Also:
  Constant Field Values

### FEATURE_SKIN

    public static final java.lang.String FEATURE_SKIN

See Also:
  Constant Field Values

### FEATURE_SORT

    public static final java.lang.String FEATURE_SORT

See Also:
  Constant Field Values

### FEATURE_STYLE

    public static final java.lang.String FEATURE_STYLE

See Also:
  Constant Field Values

### FEATURE_TOCTREE

    public static final java.lang.String FEATURE_TOCTREE

See Also:
  Constant Field Values

### FEATURE_TOOLBOX

    public static final java.lang.String FEATURE_TOOLBOX

See Also:
  Constant Field Values

### FEATURE_TOOLBAR

    public static final java.lang.String FEATURE_TOOLBAR

See Also:
  Constant Field Values

### FEATURE_UNDOREDO

    public static final java.lang.String FEATURE_UNDOREDO

See Also:
  Constant Field Values

### FEATURE_ZOOM

    public static final java.lang.String FEATURE_ZOOM

See Also:
  Constant Field Values

### FEATURE_PREVIEW

    public static final java.lang.String FEATURE_PREVIEW

See Also:
  Constant Field Values

### FEATURE_PAGESETUP

    public static final java.lang.String FEATURE_PAGESETUP

See Also:
  Constant Field Values

### FEATURE_GROUP

    public static final java.lang.String FEATURE_GROUP

See Also:
  Constant Field Values

### FEATURE_TOCHART

    public static final java.lang.String FEATURE_TOCHART

See Also:
  Constant Field Values

### FEATURE_TOCROSSTAB

    public static final java.lang.String FEATURE_TOCROSSTAB

See Also:
  Constant Field Values

### FEATURE_ROTATECROSSTAB

    public static final java.lang.String FEATURE_ROTATECROSSTAB

See Also:
  Constant Field Values

### FEATURE_CHARTTYPE

    public static final java.lang.String FEATURE_CHARTTYPE

See Also:
  Constant Field Values

### FEATURE_SPLIT

    public static final java.lang.String FEATURE_SPLIT

See Also:
  Constant Field Values

### FEATURE_MERGE

    public static final java.lang.String FEATURE_MERGE

See Also:
  Constant Field Values

### FEATURE_HELP

    public static final java.lang.String FEATURE_HELP

See Also:
  Constant Field Values

### FEATURE_OPEN

    public static final java.lang.String FEATURE_OPEN

See Also:
  Constant Field Values

### FEATURE_SAVEAS

    public static final java.lang.String FEATURE_SAVEAS

See Also:
  Constant Field Values

### FEATURE_CHECKRSC

    public static final java.lang.String FEATURE_CHECKRSC

See Also:
  Constant Field Values

### FEATURE_GOTO

    public static final java.lang.String FEATURE_GOTO

See Also:
  Constant Field Values

### FEATURE_SORT_CRITERA

    public static final java.lang.String FEATURE_SORT_CRITERA

See Also:
  Constant Field Values

### FEATURE_FILTER_CRITERA

    public static final java.lang.String FEATURE_FILTER_CRITERA

See Also:
  Constant Field Values

### FEATURE_TOC_SHOWGROUPBYNAME

    public static final java.lang.String FEATURE_TOC_SHOWGROUPBYNAME

See Also:
  Constant Field Values

### COMP_USERINFOBAR

    public static final java.lang.String COMP_USERINFOBAR

See Also:
  Constant Field Values

### COMP_MAINMENU

    public static final java.lang.String COMP_MAINMENU

See Also:
  Constant Field Values

### COMP_TOOLBOX

    public static final java.lang.String COMP_TOOLBOX

See Also:
  Constant Field Values

### COMP_TOCTREE

    public static final java.lang.String COMP_TOCTREE

See Also:
  Constant Field Values

### COMP_DSOTREE

    public static final java.lang.String COMP_DSOTREE

See Also:
  Constant Field Values

### COMP_TOOLBAR

    public static final java.lang.String COMP_TOOLBAR

See Also:
  Constant Field Values

### COMP_RPTSETBAR

    public static final java.lang.String COMP_RPTSETBAR

See Also:
  Constant Field Values

### COMP_REPORTPANEL

    public static final java.lang.String COMP_REPORTPANEL

See Also:
  Constant Field Values

### COMP_LINKPANEL

    public static final java.lang.String COMP_LINKPANEL

See Also:
  Constant Field Values

Constructor Detail

### DHTMLConstant

    public DHTMLConstant()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD